Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum TerminalProperty

    java.lang.Object
      java.lang.Enum<TerminalProperty>
          com.nortel.soa.oi.cct.types.TerminalProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TerminalProperty>

    public enum TerminalProperty

extends java.lang.Enum<TerminalProperty>

Java class for terminalProperty.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="terminalProperty">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DO_NOT_DISTURB"/>
         <enumeration value="FORWARDING"/>
         <enumeration value="CONTACT_TYPE"/>
         <enumeration value="TREATMENT_TERMINAL_TYPE"/>
         <enumeration value="TREATMENT_TRANSPORT_TYPE"/>
         <enumeration value="NAME"/>
         <enumeration value="PORT"/>
         <enumeration value="AGENT_LOGIN_SESSION"/>
         <enumeration value="AGENT_LOGIN_SESSION_ENDED"/>
         <enumeration value="ACTIVITY_CODE"/>
         <enumeration value="READY_STATUS"/>
         <enumeration value="VALIDATE_AGENT_LICENSE"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACTIVITY_CODE`
`AGENT_LOGIN_SESSION`
`AGENT_LOGIN_SESSION_ENDED`
`CONTACT_TYPE`
`DO_NOT_DISTURB`
`FORWARDING`
`NAME`
`PORT`
`READY_STATUS`
`TREATMENT_TERMINAL_TYPE`
`TREATMENT_TRANSPORT_TYPE`
`VALIDATE_AGENT_LICENSE`

Method Summary
`static TerminalProperty` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static TerminalProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TerminalProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DO_NOT_DISTURB

    public static final TerminalProperty DO_NOT_DISTURB

### FORWARDING

    public static final TerminalProperty FORWARDING

### CONTACT_TYPE

    public static final TerminalProperty CONTACT_TYPE

### TREATMENT_TERMINAL_TYPE

    public static final TerminalProperty TREATMENT_TERMINAL_TYPE

### TREATMENT_TRANSPORT_TYPE

    public static final TerminalProperty TREATMENT_TRANSPORT_TYPE

### NAME

    public static final TerminalProperty NAME

### PORT

    public static final TerminalProperty PORT

### AGENT_LOGIN_SESSION

    public static final TerminalProperty AGENT_LOGIN_SESSION

### AGENT_LOGIN_SESSION_ENDED

    public static final TerminalProperty AGENT_LOGIN_SESSION_ENDED

### ACTIVITY_CODE

    public static final TerminalProperty ACTIVITY_CODE

### READY_STATUS

    public static final TerminalProperty READY_STATUS

### VALIDATE_AGENT_LICENSE

    public static final TerminalProperty VALIDATE_AGENT_LICENSE

Method Detail

### values

    public static TerminalProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TerminalProperty c : TerminalProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TerminalProperty valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static TerminalProperty fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.